ALTER TABLE LogTmGuia ADD CantBruto DECIMAL(16,6) DEFAULT(0) NOT NULL
GO
CREATE TABLE LogTmFactura ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaDct DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDcto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaRet DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrRetFte DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrRetIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FleteUnd DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoUnit DECIMAL(16,6) DEFAULT ((0)),
Temperatura DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TempLab DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UnidTemp CHAR(1),
ValorAPI DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
API_Corregido DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Densidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipoProd VARCHAR(10),
TipGuia VARCHAR(3),
NumGuia INT DEFAULT ((0)) NOT NULL,
IdCiaGuia CHAR(2),
CantGuia DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FecDespacho SMALLDATETIME,
IndMezcla INT DEFAULT ((0)) NOT NULL,
ItemMezcla INT DEFAULT ((0)) NOT NULL,
FactorMezcla DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
NumTasas INT DEFAULT ((0)) NOT NULL,
TasaBrent DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TasaWti DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TRMdolar DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Puntos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodTarDct VARCHAR(4),
CodTarRet VARCHAR(4),
CodTarIca VARCHAR(4),
CdMoneda VARCHAR(5),
CodSicomPro VARCHAR(20),
CodBodega VARCHAR(4),
IdSubgrupo VARCHAR(8),
Unidad VARCHAR(50),
Producto VARCHAR(250),
Bodega VARCHAR(50),
Moneda VARCHAR(50)
 CONSTRAINT PK_LogTmFactura PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmFacturaDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmFacturaIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmFacturaIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_LogTmFacturaIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmFacturaUndMed CHECK ((len([UndMed])>(0))))
GO